Skip to main content
GET
Search the registry

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

kind
enum<string> | null

Only this kind. What an artifact is.

Available options:
agent,
skill,
mcp_server,
tool,
context_pack,
ontology,
prompt,
workflow,
brand,
code_repo
scope
enum<string> | null

tenant (Global) or personal. Who an artifact is for. tenant is shown as "Global".

Available options:
personal,
tenant
status
enum<string> | null

Only artifacts with a version in this status. Lifecycle of one version.

Available options:
draft,
submitted,
approved,
rejected,
deprecated,
withdrawn
owner
string | null

Only this owner's artifacts.

q
string | null

Text to match.

Maximum string length: 200
parent_id
string<uuid> | null

Tools of this MCP server.

limit
integer
default:50
Required range: 1 <= x <= 500
offset
integer
default:0
Required range: x >= 0

Response

Successful Response

A page of catalog rows.

items
ArtifactSummary · object[]
required
total
integer
required